chromium doesn't recognize icedtea6-plugin

Bug #529242 reported by Julien Lavergne on 2010-02-27
88
This bug affects 14 people
Affects Status Importance Assigned to Milestone
Chromium Browser
Unknown
Unknown
chromium-browser (Mandriva)
Won't Fix
High
chromium-browser (Ubuntu)
High
Unassigned
Lucid
High
Unassigned
openjdk-6 (Debian)
Fix Released
Unknown

Bug Description

Binary package hint: chromium-browser

When chromium is installed with icedtea6-plugins, it doesn't recognize it and doesn't use it for java. When I type about:plugins, nothing appears for java. I also have the correct link in /usr/lib/mozilla/plugins.

When I test with Firefox, it's working as expected.

Julien Lavergne (gilir) wrote :

Seems that it's also relative to icedtea, I found this issue on Chromium bug tracker : http://code.google.com/p/chromium/issues/detail?id=20087 , and this relative blog post : http://dbhole.wordpress.com/2009/08/26/icedtea-java-plugin-with-chromium-and-firefox-3-6a1/

Michael Terry (mterry) on 2010-03-04
tags: added: oem-services
Changed in chromium-browser (Mandriva):
status: Unknown → Won't Fix
Changed in chromium-browser (Ubuntu):
status: New → Confirmed
Julien Lavergne (gilir) wrote :

The last upload of openjdk which build with xulrunner 1.9.2 seems to have fixed the problem. Still, the plugin doesn't appear in the about:plugins.

Michael Terry (mterry) wrote :

I just tested this and it doesn't work for me: http://www.java.com/en/download/help/testvm.xml showed nothing in the applet area.

Matthias Klose (doko) wrote :

the comments in the upstream report are related to the old plugin implementation. Starting with the 6b18 pre-releases the NPPlugin i used. I'm told that this plugin does work on other distributions with chromium, so this looks like a misconfiguration in the Ubuntu build.

Changed in chromium-browser (Ubuntu):
importance: Undecided → High
milestone: none → lucid-updates

(I am the person working on plugins for Chrome.) I find all of the comments in this area very confusing -- most of them are the form "it doesn't work for me" or "use the new version" without any details like version numbers that would help me determine whether there's a problem. In particular, I am surprised that Chromium vs Google Chrome could matter here.

In short: Does this plugin work for anyone? If so, which versions of which browsers with which versions of the plugin?

Matthias Klose (doko) wrote :

@Evan: please make sure that you check with the IcedTea6-1.8 release (or the current 6b18-1.8-0ubuntu1 packages in lucid). It is the first IcedTea release having the NPPlugin built by default. The plugin isn't shown when opening the about:plugins page. It might be either a missing symlink to find the plugin, or some other problem. The plugin itself is found in /usr/lib/jvm/java-6-openjdk/jre/lib/{amd64,i386}/IcedTeaPlugin.so, but a symlink is provided in /usr/lib/mozilla/plugins/. I've never seen the plugin working myself in chromium, but the upstream author checked that it is working in the Fedora development(?) version. The <email address hidden> list might be helpful as well.

beudbeud (beudbeud) wrote :

chromium-browser:
  Installé : 5.0.379.0~svn20100416r44736-0ubuntu1~ucd1
  Candidat : 5.0.379.0~svn20100416r44736-0ubuntu1~ucd1
 Table de version :
 *** 5.0.379.0~svn20100416r44736-0ubuntu1~ucd1 0
        500 http://ppa.launchpad.net/chromium-daily/ppa/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status
     5.0.342.9~r43360-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ lucid/universe Packages

openjdk-6-jre:
  Installé : 6b18-1.8-0ubuntu1
  Candidat : 6b18-1.8-0ubuntu1
 Table de version :
 *** 6b18-1.8-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

icedtea6-plugin:
  Installé : 6b18-1.8-0ubuntu1
  Candidat : 6b18-1.8-0ubuntu1
 Table de version :
 *** 6b18-1.8-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

ScottMiller (stmiller) wrote :

A user put a work around on chromium's bug report:

http://code.google.com/p/chromium/issues/detail?id=20087

Comment 45 by <email address hidden>, Today (5 hours ago)
Daniel's fix in comment 42 works for me.

The best way to add to your LD_LIBRARY_PATH in ubuntu is to add a new conf file in
/etc/ld.so.conf/

I added xulrunner.conf containing /usr/lib/xulrunner-1.9.2.3/

Then run sudo ldconfig -v to refresh the cache.

Now chromium detects the IcedTea plugin in about:plugins.

Comment 46 by <email address hidden>, Today (5 hours ago)

Unfortunately the plugin then crashes when I try to run a java app.

Witold Baryluk (baryluk) wrote :

Hi. After adding /usr/lib/xulrunner-1.3.1 to ld.conf, chromium 6.0.450
and opera 10.60 loaded and started icedtea plugin correctly. It works perfectly now!

Hernando Torque (htorque) wrote :

Confirming the workaround working fine with Opera 10.60 final and Chromium 6.0.454 (currently it's '/usr/lib/xulrunner-1.9.2.6' in Maverick).

Fabien Tassin (fta) wrote :

as this path is a moving target, it's not something i can add in the chromium wrapper. we need a better solution.

On 06.07.2010 08:41, Fabien Tassin wrote:
> as this path is a moving target, it's not something i can add in the
> chromium wrapper. we need a better solution.

so you package xulrunner in such a way, and then argument that nothing can be
done about it. interesting.

xulrunner --gre-version should help?

On 07/12/2010 12:10 PM, Matthias Klose wrote:
> so you package xulrunner in such a way, and then argument that nothing can be
> done about it. interesting.
>
> xulrunner --gre-version should help?

The issue is in icedtea6-plugin linking against libxul
and libxpcom when it doesn't need to.
See debian bug #576361

Cheers,
Giuseppe.

Changed in openjdk-6 (Debian):
status: Unknown → New
Fabien Tassin (fta) wrote :

just committed a workaround in the .head branch, which will 1st be visible in the next daily build.
If it's good enough, i'll land it in the other branches / channels too.

Changed in openjdk-6 (Debian):
status: New → Fix Released
Colin Mills (cm006a5077) wrote :

When I run about:plugins in the latest version of Chromium from the daily build repository I can't find any reference to icedtea6-plugins. The plugin is installed, however if I launch Chromium with 'chromium-browser --enable-plugins'. I am running Ubuntu 10.04 (64 bit).

Fabien Tassin (fta) wrote :

@colin: as i said in #14, the workaround is only in the daily PPA (6.0.467.0 as of today).
It's working fine here but no one else confirmed so i didn't port it to the other builds.

now that the proper fix is in openjdk-6/Debian (as per the previous comment), the question is to know if and when the fix will land in Maverick and be backported to Lucid.

Colin Mills (cm006a5077) wrote :

Fabien, thanks for the response. Just for completeness, the slight problem I reported in #15, was encountered when running Chromium from the daily PPA (6.0.467.0~svn20100715r52418-0ubuntu1~ucd1~lucid ). However, starting Chromium with 'chromium-browser --enable-plugins' is no problem.

I have to say thank you to yourself and all the other people who worked so hard to get Chromium to work with icedtea. Good luck in porting the fix to Lucid and Maverick

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 5.0.375.127~r55887-0ubuntu1

---------------
chromium-browser (5.0.375.127~r55887-0ubuntu1) maverick; urgency=low

  * New upstream release from the Stable Channel (LP: #622823)
    This release fixes the following security issues:
    - [45400] Critical, Memory corruption with file dialog. Credit to Sergey
      Glazunov.
    - [49596] High, Memory corruption with SVGs. Credit to wushi of team509.
    - [49628] High, Bad cast with text editing. Credit to wushi of team509.
    - [49964] High, Possible address bar spoofing with history bug. Credit to
      Mike Taylor.
    - [50515] [51835] High, Memory corruption in MIME type handling. Credit to
      Sergey Glazunov.
    - [50553] Critical, Crash on shutdown due to notifications bug. Credit to
      Sergey Glazunov.
    - [51146] Medium, Stop omnibox autosuggest if the user might be about to
      type a password. Credit to Robert Hansen.
    - [51654] High, Memory corruption with Ruby support. Credit to kuzzcc.
    - [51670] High, Memory corruption with Geolocation support. Credit to
      kuzzcc.
  * Add the xul libdir to LD_LIBRARY_PATH in the wrapper to help icedtea6-plugin
    (LP: #529242). This is needed at least for openjdk-6 6b18.
    - update debian/chromium-browser.sh
  * No longer use tar --lzma in get-orig-source now that it silently uses xz
    (since tar 1.23-2) which is not available in the backports. Use "tar | lzma"
    instead so the embedded tarball is always a lzma file
    - update debian/rules
  * Tweak the user agent to include Chromium and the Distro's name and version.
    - add debian/patches/chromium_useragent.patch.in
    - update debian/patches/series
    - update debian/rules
  * Fix a typo in the subst_files rule
    - update debian/rules
  * Fix a gyp file that triggers an error with newer gyp (because of dead code)
    - add debian/patches/drop_unused_rules_to_please_newer_gyp.patch
    - update debian/patches/series
  * Bump gyp Build-Depends to >= 0.1~svn810 to match upstream requirement
    - update debian/control
 -- Fabien Tassin <email address hidden> Fri, 20 Aug 2010 14:09:16 +0200

Changed in chromium-browser (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 5.0.375.127~r55887-0ubuntu0.10.04.1

---------------
chromium-browser (5.0.375.127~r55887-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release from the Stable Channel (LP: #622823)
    This release fixes the following security issues:
    - [45400] Critical, Memory corruption with file dialog. Credit to Sergey
      Glazunov.
    - [49596] High, Memory corruption with SVGs. Credit to wushi of team509.
    - [49628] High, Bad cast with text editing. Credit to wushi of team509.
    - [49964] High, Possible address bar spoofing with history bug. Credit to
      Mike Taylor.
    - [50515] [51835] High, Memory corruption in MIME type handling. Credit to
      Sergey Glazunov.
    - [50553] Critical, Crash on shutdown due to notifications bug. Credit to
      Sergey Glazunov.
    - [51146] Medium, Stop omnibox autosuggest if the user might be about to
      type a password. Credit to Robert Hansen.
    - [51654] High, Memory corruption with Ruby support. Credit to kuzzcc.
    - [51670] High, Memory corruption with Geolocation support. Credit to
      kuzzcc.
  * Add the xul libdir to LD_LIBRARY_PATH in the wrapper to help icedtea6-plugin
    (LP: #529242). This is needed at least for openjdk-6 6b18.
    - update debian/chromium-browser.sh
  * No longer use tar --lzma in get-orig-source now that it silently uses xz
    (since tar 1.23-2) which is not available in the backports. Use "tar | lzma"
    instead so the embedded tarball is always a lzma file
    - update debian/rules
  * Tweak the user agent to include Chromium and the Distro's name and version.
    - add debian/patches/chromium_useragent.patch.in
    - update debian/patches/series
    - update debian/rules
  * Fix a typo in the subst_files rule
    - update debian/rules
  * Fix a gyp file that triggers an error with newer gyp (because of dead code)
    - add debian/patches/drop_unused_rules_to_please_newer_gyp.patch
    - update debian/patches/series
  * Bump gyp Build-Depends to >= 0.1~svn810 to match upstream requirement
    - update debian/control
 -- Fabien Tassin <email address hidden> Fri, 20 Aug 2010 14:09:16 +0200

Changed in chromium-browser (Ubuntu Lucid):
status: Confirmed → Fix Released
Changed in chromium-browser (Mandriva):
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.